// (c) MIT 2003.  All rights reserved.

// $Id: WSimTriangle.java,v 1.9 2003/03/06 00:40:40 moltmans Exp $
// Time-stamp: <2000-07-18 13:50:05 moltmans>
package rec.simulate.widgets;



import rec.geo.*;
import rec.core.widgets.*;
import java.io.*;
import rec.util.*;

public abstract class WSimTriangle extends WSimBody
{
  
  public WSimTriangle( WTriangle t )
  {
    setEnglishName( "Trianglar body" );

    m_Polygon = t.getPolygon();
    m_Name = "Triangle" + getId();
  }
  
  public GShape getShape() 
  {
    return m_Polygon;
  }

}
